Subject: bug#74339: 30.0.92; CC Mode stomps C TS Mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Nov 2024 14:11:26 +0200

> Date: Mon, 25 Nov 2024 03:16:08 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 24/11/2024 07:27, Eli Zaretskii wrote:
> >> Date: Sun, 24 Nov 2024 04:56:24 +0200
> >> Cc:[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> On 23/11/2024 21:40, Eli Zaretskii wrote:
> >>> Like the patch below.  Is it okay?
> >> I think it will do what you want it to do, so okay in that sense.
> > If you disagree with "what I want it to do", please tell.  I think we
> > should install this because it does the same as c-ts-mode does.  For
> > Emacs 30, this is what we can do.  So if you are not happy with that
> > for ruby-mode, for some reason other than the basic fact that loading
> > packages changes things, I'd like to know that before I decide whether
> > to install this.
> 
> I'm not happy about it because it doesn't seem like an improvement 
> overall (specifically - that we decided that the order of loading 
> packages should affect things as well). But it doesn't seem worth 
> arguing about right now, given the broader context.
> 
> And I see where you're coming from: we didn't manage to agree on any 
> other instrument for CC Mode to "undo" the runtime change by c-ts-mode, 
> and since ruby-ts-mode uses the same variable, consistency asks it to 
> follow.

It's not consistency, it's the need to let users go from one
preference to another multiple times during the same session, and in a
documented way.

> We're still going to land in a halfway zone, though, given that for 
> example js-ts-mode alters auto-mode-alist, and js-mode doesn't switch it 
> back. Same for python-ts-mode, html-ts-mode, json-ts-mode, css-ts-mode.

Agreed.  But there loading cannot solve the problem to begin with.